package com.yc.education.mapper;

import com.yc.education.model.Orders;
import com.yc.education.util.MyMapper;
import org.apache.ibatis.annotations.Param;
import org.aspectj.weaver.ast.Or;

import java.util.List;

public interface OrdersMapper extends MyMapper<Orders> {
    /*查询是否包含数据*/
    List<Orders> getOrdersStartEnd(@Param("startTime") String startTime,@Param("endTime") String endTime);

    /*按会议室查询*/
    List<Orders>getOrdersCid(Integer id);

    /*删除*/
    void delOrderById(Integer id);
    List<Orders>  getOrdersStartEndId(@Param("startTime") String startTime, @Param("endTime") String endTime);

    List<Orders>getOrdersPid(Integer id);

    List<Orders> getOrders();
    /*根据id查询已预约*/
    List<Orders>  getOrdersStartEndIds(@Param("cid") Integer cid, @Param("startTime") String startTime);

    /*根据id，时间查询已预约信息*/
    List<Orders> getOrderCidTime(@Param("id") Integer id,@Param("startTime") String startTime,@Param("endTime") String endTime);

    List<Orders> getOrderCfpId(@Param("cfpid") Integer cfpid,@Param("startTime") String startTime,@Param("endTime")String endTime);

    List<Orders> gethoutai(@Param("cid") Integer cid,@Param("startTime") String startTime,@Param("endTime") String endTime);

    /*后台查询预约信息*/
    List<Orders> getYyy();

    /*后台根据会议室查询*/
    List<Orders> getCoomsCid(@Param("id") Integer id,@Param("startTime") String startTime,@Param("endTime") String endTime);
}